package tomcatJNDI;

import javax.servlet.ServletContextEvent;
import javax.servlet.ServletContextListener;

import org.apache.log4j.Logger;

public class HibernateAppListener implements ServletContextListener	{

	/* Application Startup Event */
	public void	contextInitialized(ServletContextEvent ce) {
		Logger loggerConnect = Logger.getLogger("Connect");
		
		try  {
			loggerConnect.debug("In HibernateAppListener.contextInitialized");

			Class.forName("tomcatJNDI.HibernateUtil").newInstance();
			
			loggerConnect.debug("In HibernateAppListener, Class.forName for tomcatJNDI.HibernateUtil successful");
		}
		catch (Exception e)  {
			
			loggerConnect.debug("In HibernateAppListener, Class.forName for tomcatJNDI.HibernateUtil throws Exception");			
		}
	}

	/* Application Shutdown	Event */
	public void	contextDestroyed(ServletContextEvent ce) {}
}