package tomcatJNDI;

import org.hibernate.*;
import org.hibernate.cfg.*;

import org.apache.log4j.Logger;

public class HibernateUtil { 

    private static final SessionFactory sessionFactory;

    static {
        try {
    		Logger loggerRoot = Logger.getRootLogger();
    		Logger loggerConnect = Logger.getLogger("Connect");
    		
			loggerRoot.debug("In HibernateUtil try-clause");
			loggerConnect.debug("In HibernateUtil try-clause via loggerConnect DEBUG*****");

            // Create the SessionFactory from hibernate.cfg.xml
            sessionFactory = new Configuration().configure().buildSessionFactory();
        } catch (Throwable ex) {
            // Make sure you log the exception, as it might be swallowed
            System.err.println("Initial SessionFactory creation failed." + ex);
            throw new ExceptionInInitializerError(ex);
        }
    }

    public static SessionFactory getSessionFactory() {
        return sessionFactory;
    }

}
